> ## Documentation Index
> Fetch the complete documentation index at: https://developer.omni.z-api.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Enviar carrossel

> Envie mensagens com carrossel de cards interativos

export const ZapiResponseText = ({lang = 'pt'}) => ({
  pt: 'A estrutura de resposta é idêntica à da Z-API. Seu código existente que processa esses retornos continuará funcionando sem alterações.',
  en: 'The response structure is identical to Z-API. Your existing code that processes these returns will continue working without changes.',
  es: 'La estructura de la respuesta es idéntica a la de Z-API. El código que ya tienes para procesar esas respuestas seguirá funcionando sin cambios.'
})[lang];

## Conceituação

Método para envio de mensagens com carrossel de cards. Cada card pode conter imagem, texto e botões de ação (CALL, URL ou REPLY).

<Note>
  <ZapiResponseText lang="pt" />
</Note>


## OpenAPI

````yaml POST /send-carousel
openapi: 3.1.0
info:
  title: Omni Z-API - Z-API Compatibility
  description: Z-API compatible API to facilitate migration to Omni Z-API
  version: 1.0.0
servers:
  - url: https://api.omni.z-api.io/channels/{channel_id}/token/{channel_token}
    variables:
      channel_id:
        description: Channel ID (equivalent to Z-API instance_id)
        default: YOUR_CHANNEL
      channel_token:
        description: Channel token (equivalent to Z-API token)
        default: YOUR_TOKEN
security:
  - bearerAuth: []
paths:
  /send-carousel:
    post:
      tags:
        - Messages
      summary: Send carousel
      description: >-
        Sends a message with a carousel of cards, each with an image, text and
        action buttons.
      operationId: sendCarousel
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SendCarouselRequest'
            example:
              phone: '5511999999999'
              message: 'Check out our products:'
              carousel:
                - text: Product A
                  image: https://example.com/product-a.png
                  buttons:
                    - id: '1'
                      type: URL
                      label: View details
                      url: https://www.omni.z-api.io
                    - id: '2'
                      type: REPLY
                      label: I'm interested
                - text: Product B
                  image: https://example.com/product-b.png
                  buttons:
                    - id: '3'
                      type: URL
                      label: View details
                      url: https://www.omni.z-api.io
                    - id: '4'
                      type: REPLY
                      label: I'm interested
      responses:
        '200':
          $ref: '#/components/responses/MessageSuccess'
        '405':
          $ref: '#/components/responses/MethodNotAllowed'
        '415':
          $ref: '#/components/responses/UnsupportedMediaType'
components:
  schemas:
    SendCarouselRequest:
      type: object
      required:
        - phone
        - message
        - carousel
      properties:
        phone:
          type: string
          description: Recipient phone number (country code + area code + number)
          example: '5511999999999'
        message:
          type: string
          description: Message text
        carousel:
          type: array
          description: List of carousel cards
          items:
            type: object
            required:
              - text
              - image
            properties:
              text:
                type: string
                description: Card text
              image:
                type: string
                description: Card image URL
              buttons:
                type: array
                description: Card action buttons
                items:
                  type: object
                  required:
                    - type
                    - label
                  properties:
                    id:
                      type: string
                      description: Button identifier
                    type:
                      type: string
                      description: Button type
                      enum:
                        - CALL
                        - URL
                        - REPLY
                    label:
                      type: string
                      description: Text displayed on the button
                    phone:
                      type: string
                      description: Phone number for CALL-type buttons
                    url:
                      type: string
                      description: URL for URL-type buttons
        delayMessage:
          type: integer
          description: Delay in seconds before sending (1-15)
          minimum: 1
          maximum: 15
    MessageResponse:
      type: object
      properties:
        zaapId:
          type: string
          description: Internal identifier
        messageId:
          type: string
          description: WhatsApp message ID
        id:
          type: string
          description: Same value as messageId (compatibility)
    Error:
      type: object
      properties:
        error:
          type: integer
          description: Error code
        message:
          type: string
          description: Error description
  responses:
    MessageSuccess:
      description: Message sent successfully
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/MessageResponse'
          example:
            zaapId: 3999984263738042930CD6ECDE9VDWSA
            messageId: D241XXXX732339502B68
            id: D241XXXX732339502B68
    MethodNotAllowed:
      description: Method not allowed. Make sure you are using POST.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            error: 405
            message: Method not allowed
    UnsupportedMediaType:
      description: 'Invalid Content-Type. Send `Content-Type: application/json`.'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            error: 415
            message: Unsupported media type
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Secret Key generated in the Omni Z-API Security panel

````